## NAME

g.dirseps - Internal GRASS utility for converting directory separator characters.
Converts any directory separator characters in the input string to or from native host format, and writes the changed path to standard output. Useful in scripts for Windows compatibility.

## KEYWORDS

general, map management, scripts

## SYNOPSIS

g.dirseps
g.dirseps --help
g.dirseps [-hg] [path=string] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-h
  Convert directory separators to native host format
-g
  Convert directory separators to GRASS internal format
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

path=string
  Path to be converted (read from stdin if not specified)

## DESCRIPTION

g.dirseps is an internal tool only. It copies input string to stdout, changing directory separator characters as specified by flags. It is used for interoperability between Unix and MS-Windows pathnames.

## AUTHOR

Paul Kelly

## SOURCE CODE

Available at: g.dirseps source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual